:root {
    --special-color: #18c895;
    --background-color: #dfdfdf;
    --down-shadow: #8f8f8f;
    --up-shadow: #f8f8f8;
}

::selection {
    background-color: var(--special-color);
    color: var(--background-color);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

body {
    background-color: var(--background-color);
    overflow: hidden;
    color: #333333;
}

#container {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.shadow {
    box-shadow:
        15px 15px 20px var(--down-shadow),
        -15px -15px 20px var(--up-shadow);
}

#log-in-page {
    display: flex;
    flex-direction: column;
    background-color: var(--background-color);
    padding: 30px 25px;
    border-radius: 25px;
}

#process {
    border: 3px solid var(--special-color);
    width: fit-content;
    display: inline-block;
    padding: 5px 15px;
    border-radius: 12px;
    font-size: small;
    font-weight: 700;
    margin: 0 0 10px 0;
    color: var(--special-color);
    box-shadow:
        5px 5px 10px var(--down-shadow),
        -5px -5px 10px var(--up-shadow);
}

#process-description {
    font-size: large;
    margin-bottom: 15px;
}

.form-item {
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
}

.log-in-label {
    font-size: small;
    color: #5f5f5f;
}

input {
    outline: none;
    border-style: none;
    height: 40px;
    border-radius: 15px;
    padding: 10px;
    background-color: var(--background-color);
    color: inherit;
    box-shadow:
        inset 5px 5px 20px var(--down-shadow),
        inset -5px -5px 20px var(--up-shadow);
    transition: box-shadow 0.2s ease-in-out;
    font-size: larger;
}

input:focus {
    box-shadow:
        inset 5px 5px 20px var(--down-shadow),
        inset -5px -5px 20px var(--up-shadow),
        0 0 5px var(--special-color);
}

.form-item p {
    font-size: 12px;
    margin-bottom: 5px;
}

#log-in-button {
    width: 100%;
    height: 50px;
    font-size: larger;
    background-color: var(--special-color);
    border-style: none;
    border-radius: 15px;
    cursor: pointer;
    color: var(--background-color);
}

#log-in-button:active {
    box-shadow:
        inset 10px 10px 20px var(--down-shadow),
        inset -15px -15px 20px #1ce7ae;
}

footer {
    display: flex;
    flex-direction: column;
    background-color: var(--background-color);
    padding: 30px 25px 20px 25px;
    border-radius: 25px;
    margin-top: 20px;
}

address {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.developer-detail {
    background-color: var(--background-color);
    padding: 10px;
    margin: 10px 0;
    border-radius: 10px;
    color: #8d8d8d;
    box-shadow:
        10px 10px 20px var(--down-shadow),
        -10px -10px 20px var(--up-shadow);
    font-style: normal;
    transition: color 0.2s ease-in-out;
}

.developer-detail:active {
    box-shadow:
        inset 10px 10px 20px var(--down-shadow),
        inset -10px -10px 20px var(--up-shadow);
}

.developer-detail:hover {
    color: var(--special-color);
}

a {
    text-decoration: none;
    color: var(--special-color);
}

#menu {
    display: flex;
    justify-content: end;
}

#dark-mode-button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border-style: none;
    background-color: var(--background-color);
    box-shadow:
        5px 5px 10px var(--down-shadow),
        -5px -5px 10px var(--up-shadow);
    cursor: pointer;
    margin: 15px 15px 0 0;
    position: relative;
    z-index: 999;
}

#dark-mode-button:active {
    box-shadow:
        inset 5px 5px 10px var(--down-shadow),
        inset -5px -5px 10px var(--up-shadow);
}

.name-warning,
.password-warning {
    display: none;
    color: red;
}

.warning {
    display: block;
}

.warning-shadow,
.warning-shadow:focus {
    box-shadow:
        inset 5px 5px 20px var(--down-shadow),
        inset -5px -5px 20px var(--up-shadow),
        0 0 5px red;
}

.welcome {
    font-size: 70px;
    text-shadow: 10px 10px 10px var(--down-shadow);
    letter-spacing: 5mm;
}

.welcome::first-letter {
    color: var(--special-color);
    font-size: 100px;
}